import {
  GraphQLObjectType,
  GraphQLEnumType,
  GraphQLInterfaceType,
  GraphQLInputObjectType,
  GraphQLScalarType,
  GraphQLUnionType,
  GraphQLSchema,
  GraphQLNamedType,
} from "graphql";
import { GroupedTypes } from "./utils";
export declare function convertSDL(sdl: string, commonjs?: boolean): string;
/**
 * Convert an existing SDL schema into a Nexus GraphQL format
 */
export declare class SDLConverter {
  protected export: string;
  protected schema: GraphQLSchema;
  protected groupedTypes: GroupedTypes;
  constructor(commonjs: boolean | undefined, sdl: string);
  print(): string;
  printObjectTypes(): string;
  printObjectType(type: GraphQLObjectType): string;
  printInterfaceTypes(): string;
  printInterfaceType(type: GraphQLInterfaceType): string;
  printEnumTypes(): string;
  printEnumType(type: GraphQLEnumType): string;
  printInputObjectTypes(): string[] | "";
  printInputObjectType(type: GraphQLInputObjectType): string;
  printUnionTypes(): string;
  printUnionType(type: GraphQLUnionType): string;
  printScalarTypes(): string;
  printScalarType(type: GraphQLScalarType): string;
  maybeDescription(type: GraphQLNamedType): string | null;
  printBlock(block: (string | null)[]): string;
}
